Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface JMSSessionPoolRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface JMSSessionPoolRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring a WebLogic JMS session pool.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`JMSConsumerRuntimeMBean[]` | `getConnectionConsumers()` The connection consumer for this session pool.
`long` | `getConnectionConsumersCurrentCount()` The current number of connection consumers for this session pool.
`long` | `getConnectionConsumersHighCount()` The peak number of simultaneous connection consumers for this session pool.
`long` | `getConnectionConsumersTotalCount()` The total number of connection consumers made by this session pool since the last reset.
`JMSServerRuntimeMBean` | `getJMSServer()` The JMS server for this session pool.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getConnectionConsumers

    public JMSConsumerRuntimeMBean[] getConnectionConsumers()

  The connection consumer for this session pool.

  Returns:
    The connectionConsumers value

### getConnectionConsumersCurrentCount

    public long getConnectionConsumersCurrentCount()

  The current number of connection consumers for this session pool.

  Returns:
    The connectionConsumersCurrentCount value

### getConnectionConsumersHighCount

    public long getConnectionConsumersHighCount()

  The peak number of simultaneous connection consumers for this session pool.

  Returns:
    The connectionConsumersHighCount value

### getConnectionConsumersTotalCount

    public long getConnectionConsumersTotalCount()

  The total number of connection consumers made by this session pool since the last reset.

  Returns:
    The connectionConsumersTotalCount value

### getJMSServer

    public JMSServerRuntimeMBean getJMSServer()

  The JMS server for this session pool.

  Returns:
    The jMSServer value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD